Remove Smart Invite Recipient
Read as MarkdownDescription #
This method allows an individual recipient to be removed from a Smart Invite
with a recipients collection.
This results in two attachments, attachments.removed.icalendar that must
be sent to the removed recipient to update them, and attachments.icalendar
which may be sent to all active recipients to update the participant list.
URL format #
{data_center_url}/v1/smart_invites
Example Request #
POST /v1/smart_invites HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8
{
"method": "remove",
"recipient": { "email": "cronofy@example.org" },
"smart_invite_id": "your-unique-id-for-invite"
}Example Response #
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"recipients": [
{
"email": "cronofy@example.com",
"status": "accepted"
},
{
"email": "cronofy@example.org",
"status": "removed"
}
],
"smart_invite_id": "your-unique-id-for-invite",
"callback_url": "https://example.com/cronofy/smart_invite/notifications",
"event": {
"summary": "Board meeting",
"description": "Discuss plans for the next quarter.",
"start": {
"time": "2026-10-25T09:30:00Z",
"tzid": "Europe/London"
},
"end": {
"time": "2026-10-25T10:00:00Z",
"tzid": "Europe/London"
},
"location": {
"description": "Board room"
}
},
"attachments": {
"icalendar": "BEGIN:VCALENDAR\nVERSION:2.0...",
"removed": {
"recipient": { "email": "cronofy@example.org" },
"icalendar": "BEGIN:VCALENDAR\nVERSION:2.0..."
}
}
}Request parameters #
data_center_url Required
The URL for the data center you want to communicate with. Possible choices are:
api-au.cronofy.com- π¦πΊ Australiaapi-ca.cronofy.com- π¨π¦ Canadaapi-de.cronofy.com- π©πͺ Germanyapi-sg.cronofy.com- πΈπ¬ Singaporeapi-uk.cronofy.com- π¬π§ United Kingdomapi.cronofy.com- πΊπΈ United States
Find out more about Cronofy's data centers.
API_KEY Required #
The client_secret of the application that manages the Smart Invite event.
method Required #
Must be remove to remove a recipient from the Smart Invite.
smart_invite_id Required #
The identifier for the Smart Invite within your application.
recipient.email Required #
The email address of the recipient to remove.
Response parameters #
recipients.email #
The email address of the recipient.
recipients.status #
The current status of the recipient. Can be one of:
pendinghave not received any response from the recipientacceptedthe recipient has accepted the invitationtentativethe recipient has tentatively accepted the invitationdeclinedthe recipient has declined the invitationremovedthe recipient has been removed from the invitation
smart_invite_id #
The identifier for the event within your application.
callback_url #
The URL within your application that Cronofy will send notifications to about user interactions with the Smart Invite.
event #
The details of the event.
attachments.icalendar #
The iCalendar representation of the event, which may be sent to the active recipients to update the participant list.
attachments.removed.recipient.email #
The email address of the removed recipient.
attachments.removed.icalendar #
The iCalendar representation of the event that must be sent to the removed recipient to update them.